Bug 484620 - memory corruption on ATI RS780 integrated GPU with RHEL 5.3 ATI driver
memory corruption on ATI RS780 integrated GPU with RHEL 5.3 ATI driver
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
5.3
All Linux
low Severity urgent
: rc
: ---
Assigned To: Dave Airlie
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 21:37 EST by Dave Airlie
Modified: 2009-04-21 18:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 11:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Airlie 2009-02-08 21:37:05 EST
Description of problem:

A problem was found upstream where when the -ati driver is used on the RS780 IGP chipset, random memory corruptions could occur and cause disk corruption.

Version-Release number of selected component (if applicable):


How reproducible:

Install on an RS780, do stuff in X.


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Don't corrupt memory.

Expected results:


Additional info:

A fix is in hand from upstream, a one liner.
Comment 1 Matěj Cepl 2009-02-10 13:20:44 EST
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 2 RHEL Product and Program Management 2009-03-11 11:19:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Cameron Meadors 2009-03-31 13:29:40 EDT
Could we get an explanation or example of the symptoms of this corruption?
Comment 4 Dave Airlie 2009-03-31 19:20:33 EDT
It was reported upstream as a memory corruption in the Fedora driver, wierd segfaults and disk errors when X was running on these chipsets.

I don't have a simple reproducer, I just tracked it down by inspection.
Comment 6 RHEL Product and Program Management 2009-04-21 11:25:45 EDT
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.
Comment 7 Dave Airlie 2009-04-21 18:28:23 EDT
This is already fixed in the backport we are doing for 5.4's r500 driver.

so maybe a different closed value?

Note You need to log in before you can comment on or make changes to this bug.